Bug 1479205 - (CVE-2017-7786) CVE-2017-7786 Mozilla: Buffer overflow while painting non-displayable SVG (MFSA 2017-19)
CVE-2017-7786 Mozilla: Buffer overflow while painting non-displayable SVG (MF...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170808,repo...
: Security
Depends On:
Blocks: 1477026
  Show dependency treegraph
 
Reported: 2017-08-08 02:41 EDT by Doran Moppert
Modified: 2017-08-24 03:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 03:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doran Moppert 2017-08-08 02:41:32 EDT
A buffer overflow can occur when the image renderer attempts to paint non-displayable SVG elements. This results in a potentially exploitable crash.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-19/#CVE-2017-7786


Acknowledgements:

Name: the Mozilla project
Upstream: Nils
Comment 1 errata-xmlrpc 2017-08-10 19:21:03 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:2456 https://access.redhat.com/errata/RHSA-2017:2456
Comment 2 errata-xmlrpc 2017-08-24 02:46:21 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2534 https://access.redhat.com/errata/RHSA-2017:2534

Note You need to log in before you can comment on or make changes to this bug.